import { ExtractPropTypes, PropType } from 'vue';
import { ActionSheetOptions, IActionSheetOption } from './types';
export type ActionSheetProps = ExtractPropTypes<typeof ACTION_SHEET_PROPS>;
export declare const ACTION_SHEET_PROPS: {
    /**
     * 面板显示隐藏
     */
    visible: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * 面板选项数据
     */
    options: {
        type: PropType<ActionSheetOptions>;
        default: () => never[];
    };
    /**
     * 对齐方式
     */
    align: {
        type: PropType<"left" | "center">;
        default: string;
    };
    /**
     * 显示关闭按钮
     */
    showCancel: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * 取消按钮文字
     */
    cancelButtonText: {
        type: StringConstructor;
        default: string;
    };
    /**
     * 面板描述
     */
    description: {
        type: StringConstructor;
        default: string;
    };
    /**
     * 选择完成事件
     */
    onSelected: {
        type: PropType<(item: IActionSheetOption, index: number) => void>;
        default: undefined;
    };
    /**
     * 关闭事件
     */
    onCancel: {
        type: PropType<() => void>;
        default: undefined;
    };
    keys: {
        type: PropType<import("@xuanmo/dl-common").CustomKeys>;
        default: undefined;
    };
};
