import Calendar from './calendar.vue';
export declare const DCalendar: {
    new (...args: any[]): import("vue").CreateComponentPublicInstance<Readonly<import("vue").ExtractPropTypes<{
        modelValue: {
            type: import("vue").PropType<import("./props").CalendarValue>;
            default: undefined;
        };
        type: {
            type: import("vue").PropType<import("./props").CalendarType>;
            default: import("./props").CalendarType;
        };
        minDate: {
            type: DateConstructor;
            default: Date;
        };
        maxDate: {
            type: DateConstructor;
            default: Date;
        };
        placeholder: {
            type: StringConstructor;
            default: string;
        };
        title: {
            type: StringConstructor;
            default: string;
        };
        displayFormatter: {
            type: StringConstructor;
            default: string;
        };
        valueFormatter: {
            type: StringConstructor;
            default: string;
        };
        monthFormatter: {
            type: StringConstructor;
            default: string;
        };
        formatter: {
            type: import("vue").PropType<import("./props").CalendarDayFormatter>;
            default: undefined;
        };
        confirmButtonText: {
            type: StringConstructor;
            default: string;
        };
        disabled: {
            type: BooleanConstructor;
            default: boolean;
        };
        readonly: {
            type: BooleanConstructor;
            default: boolean;
        };
    }>> & {
        "onUpdate:model-value"?: ((...args: any[]) => any) | undefined;
        onConfirm?: ((...args: any[]) => any) | undefined;
    }, {
        wrapperClassName: string;
        triggerClassName: import("vue").ComputedRef<string>;
        daysClassName: string;
        contentClassName: string;
        headerClassName: string;
        bodyClassName: string;
        scrollClassName: string;
        confirmButtonClass: string;
        popupVisible: import("vue").Ref<boolean>;
        currentDay: import("vue").Ref<{
            toString: () => string;
            toDateString: () => string;
            toTimeString: () => string;
            toLocaleString: {
                (): string;
                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
            };
            toLocaleDateString: {
                (): string;
                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
            };
            toLocaleTimeString: {
                (): string;
                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
            };
            valueOf: () => number;
            getTime: () => number;
            getFullYear: () => number;
            getUTCFullYear: () => number;
            getMonth: () => number;
            getUTCMonth: () => number;
            getDate: () => number;
            getUTCDate: () => number;
            getDay: () => number;
            getUTCDay: () => number;
            getHours: () => number;
            getUTCHours: () => number;
            getMinutes: () => number;
            getUTCMinutes: () => number;
            getSeconds: () => number;
            getUTCSeconds: () => number;
            getMilliseconds: () => number;
            getUTCMilliseconds: () => number;
            getTimezoneOffset: () => number;
            setTime: (time: number) => number;
            setMilliseconds: (ms: number) => number;
            setUTCMilliseconds: (ms: number) => number;
            setSeconds: (sec: number, ms?: number | undefined) => number;
            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
            setDate: (date: number) => number;
            setUTCDate: (date: number) => number;
            setMonth: (month: number, date?: number | undefined) => number;
            setUTCMonth: (month: number, date?: number | undefined) => number;
            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
            toUTCString: () => string;
            toISOString: () => string;
            toJSON: (key?: any) => string;
            [Symbol.toPrimitive]: {
                (hint: "default"): string;
                (hint: "string"): string;
                (hint: "number"): number;
                (hint: string): string | number;
            };
        }>;
        store: import("./store").CalendarStore;
        displayValue: import("vue").Ref<string>;
        scrollRef: import("vue").Ref<any>;
        dateGroups: Map<string, import("./types").IDay>;
        handleShowPopup: () => Promise<void>;
        handleClosePopup: () => void;
        handleConfirm: () => void;
    }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("update:model-value" | "confirm")[], import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & Readonly<import("vue").ExtractPropTypes<{
        modelValue: {
            type: import("vue").PropType<import("./props").CalendarValue>;
            default: undefined;
        };
        type: {
            type: import("vue").PropType<import("./props").CalendarType>;
            default: import("./props").CalendarType;
        };
        minDate: {
            type: DateConstructor;
            default: Date;
        };
        maxDate: {
            type: DateConstructor;
            default: Date;
        };
        placeholder: {
            type: StringConstructor;
            default: string;
        };
        title: {
            type: StringConstructor;
            default: string;
        };
        displayFormatter: {
            type: StringConstructor;
            default: string;
        };
        valueFormatter: {
            type: StringConstructor;
            default: string;
        };
        monthFormatter: {
            type: StringConstructor;
            default: string;
        };
        formatter: {
            type: import("vue").PropType<import("./props").CalendarDayFormatter>;
            default: undefined;
        };
        confirmButtonText: {
            type: StringConstructor;
            default: string;
        };
        disabled: {
            type: BooleanConstructor;
            default: boolean;
        };
        readonly: {
            type: BooleanConstructor;
            default: boolean;
        };
    }>> & {
        "onUpdate:model-value"?: ((...args: any[]) => any) | undefined;
        onConfirm?: ((...args: any[]) => any) | undefined;
    }, {
        disabled: boolean;
        type: import("./props").CalendarType;
        readonly: boolean;
        title: string;
        modelValue: import("./props").CalendarValue;
        minDate: Date;
        maxDate: Date;
        placeholder: string;
        displayFormatter: string;
        valueFormatter: string;
        monthFormatter: string;
        formatter: import("./props").CalendarDayFormatter;
        confirmButtonText: string;
    }, true, {}, {}, {
        P: {};
        B: {};
        D: {};
        C: {};
        M: {};
        Defaults: {};
    }, Readonly<import("vue").ExtractPropTypes<{
        modelValue: {
            type: import("vue").PropType<import("./props").CalendarValue>;
            default: undefined;
        };
        type: {
            type: import("vue").PropType<import("./props").CalendarType>;
            default: import("./props").CalendarType;
        };
        minDate: {
            type: DateConstructor;
            default: Date;
        };
        maxDate: {
            type: DateConstructor;
            default: Date;
        };
        placeholder: {
            type: StringConstructor;
            default: string;
        };
        title: {
            type: StringConstructor;
            default: string;
        };
        displayFormatter: {
            type: StringConstructor;
            default: string;
        };
        valueFormatter: {
            type: StringConstructor;
            default: string;
        };
        monthFormatter: {
            type: StringConstructor;
            default: string;
        };
        formatter: {
            type: import("vue").PropType<import("./props").CalendarDayFormatter>;
            default: undefined;
        };
        confirmButtonText: {
            type: StringConstructor;
            default: string;
        };
        disabled: {
            type: BooleanConstructor;
            default: boolean;
        };
        readonly: {
            type: BooleanConstructor;
            default: boolean;
        };
    }>> & {
        "onUpdate:model-value"?: ((...args: any[]) => any) | undefined;
        onConfirm?: ((...args: any[]) => any) | undefined;
    }, {
        wrapperClassName: string;
        triggerClassName: import("vue").ComputedRef<string>;
        daysClassName: string;
        contentClassName: string;
        headerClassName: string;
        bodyClassName: string;
        scrollClassName: string;
        confirmButtonClass: string;
        popupVisible: import("vue").Ref<boolean>;
        currentDay: import("vue").Ref<{
            toString: () => string;
            toDateString: () => string;
            toTimeString: () => string;
            toLocaleString: {
                (): string;
                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
            };
            toLocaleDateString: {
                (): string;
                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
            };
            toLocaleTimeString: {
                (): string;
                (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
            };
            valueOf: () => number;
            getTime: () => number;
            getFullYear: () => number;
            getUTCFullYear: () => number;
            getMonth: () => number;
            getUTCMonth: () => number;
            getDate: () => number;
            getUTCDate: () => number;
            getDay: () => number;
            getUTCDay: () => number;
            getHours: () => number;
            getUTCHours: () => number;
            getMinutes: () => number;
            getUTCMinutes: () => number;
            getSeconds: () => number;
            getUTCSeconds: () => number;
            getMilliseconds: () => number;
            getUTCMilliseconds: () => number;
            getTimezoneOffset: () => number;
            setTime: (time: number) => number;
            setMilliseconds: (ms: number) => number;
            setUTCMilliseconds: (ms: number) => number;
            setSeconds: (sec: number, ms?: number | undefined) => number;
            setUTCSeconds: (sec: number, ms?: number | undefined) => number;
            setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
            setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
            setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
            setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
            setDate: (date: number) => number;
            setUTCDate: (date: number) => number;
            setMonth: (month: number, date?: number | undefined) => number;
            setUTCMonth: (month: number, date?: number | undefined) => number;
            setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
            setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
            toUTCString: () => string;
            toISOString: () => string;
            toJSON: (key?: any) => string;
            [Symbol.toPrimitive]: {
                (hint: "default"): string;
                (hint: "string"): string;
                (hint: "number"): number;
                (hint: string): string | number;
            };
        }>;
        store: import("./store").CalendarStore;
        displayValue: import("vue").Ref<string>;
        scrollRef: import("vue").Ref<any>;
        dateGroups: Map<string, import("./types").IDay>;
        handleShowPopup: () => Promise<void>;
        handleClosePopup: () => void;
        handleConfirm: () => void;
    }, {}, {}, {}, {
        disabled: boolean;
        type: import("./props").CalendarType;
        readonly: boolean;
        title: string;
        modelValue: import("./props").CalendarValue;
        minDate: Date;
        maxDate: Date;
        placeholder: string;
        displayFormatter: string;
        valueFormatter: string;
        monthFormatter: string;
        formatter: import("./props").CalendarDayFormatter;
        confirmButtonText: string;
    }>;
    __isFragment?: undefined;
    __isTeleport?: undefined;
    __isSuspense?: undefined;
} & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
    modelValue: {
        type: import("vue").PropType<import("./props").CalendarValue>;
        default: undefined;
    };
    type: {
        type: import("vue").PropType<import("./props").CalendarType>;
        default: import("./props").CalendarType;
    };
    minDate: {
        type: DateConstructor;
        default: Date;
    };
    maxDate: {
        type: DateConstructor;
        default: Date;
    };
    placeholder: {
        type: StringConstructor;
        default: string;
    };
    title: {
        type: StringConstructor;
        default: string;
    };
    displayFormatter: {
        type: StringConstructor;
        default: string;
    };
    valueFormatter: {
        type: StringConstructor;
        default: string;
    };
    monthFormatter: {
        type: StringConstructor;
        default: string;
    };
    formatter: {
        type: import("vue").PropType<import("./props").CalendarDayFormatter>;
        default: undefined;
    };
    confirmButtonText: {
        type: StringConstructor;
        default: string;
    };
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    readonly: {
        type: BooleanConstructor;
        default: boolean;
    };
}>> & {
    "onUpdate:model-value"?: ((...args: any[]) => any) | undefined;
    onConfirm?: ((...args: any[]) => any) | undefined;
}, {
    wrapperClassName: string;
    triggerClassName: import("vue").ComputedRef<string>;
    daysClassName: string;
    contentClassName: string;
    headerClassName: string;
    bodyClassName: string;
    scrollClassName: string;
    confirmButtonClass: string;
    popupVisible: import("vue").Ref<boolean>;
    currentDay: import("vue").Ref<{
        toString: () => string;
        toDateString: () => string;
        toTimeString: () => string;
        toLocaleString: {
            (): string;
            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
        };
        toLocaleDateString: {
            (): string;
            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
        };
        toLocaleTimeString: {
            (): string;
            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
        };
        valueOf: () => number;
        getTime: () => number;
        getFullYear: () => number;
        getUTCFullYear: () => number;
        getMonth: () => number;
        getUTCMonth: () => number;
        getDate: () => number;
        getUTCDate: () => number;
        getDay: () => number;
        getUTCDay: () => number;
        getHours: () => number;
        getUTCHours: () => number;
        getMinutes: () => number;
        getUTCMinutes: () => number;
        getSeconds: () => number;
        getUTCSeconds: () => number;
        getMilliseconds: () => number;
        getUTCMilliseconds: () => number;
        getTimezoneOffset: () => number;
        setTime: (time: number) => number;
        setMilliseconds: (ms: number) => number;
        setUTCMilliseconds: (ms: number) => number;
        setSeconds: (sec: number, ms?: number | undefined) => number;
        setUTCSeconds: (sec: number, ms?: number | undefined) => number;
        setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
        setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
        setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
        setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
        setDate: (date: number) => number;
        setUTCDate: (date: number) => number;
        setMonth: (month: number, date?: number | undefined) => number;
        setUTCMonth: (month: number, date?: number | undefined) => number;
        setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
        setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
        toUTCString: () => string;
        toISOString: () => string;
        toJSON: (key?: any) => string;
        [Symbol.toPrimitive]: {
            (hint: "default"): string;
            (hint: "string"): string;
            (hint: "number"): number;
            (hint: string): string | number;
        };
    }>;
    store: import("./store").CalendarStore;
    displayValue: import("vue").Ref<string>;
    scrollRef: import("vue").Ref<any>;
    dateGroups: Map<string, import("./types").IDay>;
    handleShowPopup: () => Promise<void>;
    handleClosePopup: () => void;
    handleConfirm: () => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("update:model-value" | "confirm")[], "update:model-value" | "confirm", {
    disabled: boolean;
    type: import("./props").CalendarType;
    readonly: boolean;
    title: string;
    modelValue: import("./props").CalendarValue;
    minDate: Date;
    maxDate: Date;
    placeholder: string;
    displayFormatter: string;
    valueFormatter: string;
    monthFormatter: string;
    formatter: import("./props").CalendarDayFormatter;
    confirmButtonText: string;
}, {}, string, {}> & (import("vue").VNodeProps & (import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & import("vue").Plugin));
export { type CalendarValue, type CalendarProps, type CalendarDayFormatter, type CalendarType } from './props';
export { type CalendarStore } from './store';
export { type IDay } from './types';
declare module 'vue' {
    interface GlobalComponents {
        DCalendar: typeof Calendar;
    }
}
