import { IDay } from './types';
import { CalendarProps } from './props';
interface State extends Pick<CalendarProps, 'minDate' | 'maxDate' | 'type' | 'monthFormatter'> {
    dateGroups: Map<string, IDay>;
    startDay?: IDay;
    endDay?: IDay;
    selectedComplete: boolean;
}
declare class CalendarStore {
    state: State;
    selected: Set<string>;
    constructor(props: Pick<State, 'minDate' | 'maxDate' | 'type' | 'monthFormatter'>);
    /**
     * 生成所有日期列表
     */
    generateDateGroups: () => void;
    setState: (state: Partial<State>) => void;
    /**
     * 获取单个日期
     * @param id
     */
    getDay: (id: string) => IDay;
    /**
     * 更新单个日期
     * @param day
     */
    updateDay: (day: IDay) => Map<string, IDay>;
    /**
     * 执行选择
     * @param day
     */
    handleSelect: (day: IDay) => void;
    /**
     * 单选
     * @param day
     */
    private handleSingleSelect;
    /**
     * 多选
     * @param day
     */
    private handleMultiSelect;
    /**
     * 区间选择
     * @param day
     */
    private handleRangeSelect;
    clearSelected: () => void;
}
export { CalendarStore };
