import { IData } from '@xuanmo/dl-common';
import { CSSProperties } from 'vue';
export interface IDay extends IData<Date> {
    /**
     * 当前日期类型
     * selected：当前日期被选中
     * start：区间时，开始日期
     * middle：区间时，中间选择的日期
     * end：区间时，结束日期
     */
    type?: 'selected' | 'start' | 'middle' | 'end' | null;
    id: string;
    isMonth?: boolean;
    days?: string[];
    intersectDayCount?: number;
    topText?: string;
    topTextStyle?: CSSProperties;
    bottomText?: string;
    bottomTextStyle?: CSSProperties;
}
