import { ICascaderOption, CascaderValue } from '@xuanmo/dl-common';
import { ExtractPropTypes, PropType } from 'vue';
import { CascaderStore } from './store';
export type CascaderProps = ExtractPropTypes<typeof CASCADER_PROPS>;
export declare const CASCADER_PROPS: {
    modelValue: {
        type: PropType<CascaderValue>;
        default: never[];
    };
    placeholder: {
        type: StringConstructor;
        default: string;
    };
    /**
     * 级联选项数据源
     */
    options: {
        type: PropType<ICascaderOption[]>;
        required: boolean;
        default: () => never[];
    };
    /**
     * 支持设置一个顶部标题
     */
    title: {
        type: StringConstructor;
        default: string;
    };
    /**
     * 关闭按钮文字
     */
    cancelButtonText: {
        type: StringConstructor;
        default: string;
    };
    /**
     * 确认按钮文字
     */
    confirmButtonText: {
        type: StringConstructor;
        default: string;
    };
    /**
     * 搜索提示语
     */
    searchPlaceholder: {
        type: StringConstructor;
        default: string;
    };
    /**
     * 是否开启懒加载
     */
    lazy: BooleanConstructor;
    /**
     * 数据懒加载，需要配合 lazy
     */
    lazyLoad: {
        type: PropType<(option: ICascaderOption) => Promise<ICascaderOption[]>>;
        default: undefined;
    };
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    keys: {
        type: PropType<import("@xuanmo/dl-common").CustomKeys>;
        default: undefined;
    };
    readonly: {
        type: BooleanConstructor;
        default: boolean;
    };
};
export declare const CASCADER_BODY_PROPS: {
    store: {
        type: PropType<CascaderStore>;
        required: boolean;
        default: () => {};
    };
    lazy: BooleanConstructor;
    lazyLoad: {
        type: PropType<(option: ICascaderOption) => Promise<ICascaderOption[]>>;
        default: undefined;
    };
};
export declare const CASCADER_SEARCH_PROPS: {
    store: {
        type: PropType<CascaderStore>;
        required: boolean;
        default: () => {};
    };
    searchPlaceholder: {
        type: StringConstructor;
        default: string;
    };
};
export declare const CASCADER_SEARCH_PANEL_PROPS: {
    store: {
        type: PropType<CascaderStore>;
        required: boolean;
        default: () => {};
    };
};
export declare const CASCADER_OPTION_ITEM_PROPS: {
    store: {
        type: PropType<CascaderStore>;
        required: boolean;
        default: () => {};
    };
    active: {
        type: BooleanConstructor;
        default: boolean;
    };
    option: {
        type: PropType<ICascaderOption>;
        default: () => {};
    };
};
