import { DateTimePickerType, DateTimePickerValue, DateTimePickerFormatter } from './props';
import { DateTimePickerOption } from './types';
declare class DateUtil {
    static formatType: Record<DateTimePickerType, string>;
    date: Date;
    freezeDate: Date;
    minDate: Date;
    maxDate: Date;
    dateType: DateTimePickerType;
    formatter: DateTimePickerFormatter;
    constructor(date: DateTimePickerValue, options: {
        dateType: DateUtil['dateType'];
        formatter: DateUtil['formatter'];
        minDate: Date;
        maxDate: Date;
    });
    get value(): string;
    /**
     * 处理传入的 value 为 picker 需要的格式
     */
    get pickerValue(): string[];
    /**
     * 数组转换为日期
     * @param date
     */
    convertDate: (date: DateTimePickerValue | DateTimePickerValue[]) => Date;
    /**
     * 更新时间
     * @param date
     */
    update: (date: DateTimePickerValue | DateTimePickerValue[]) => void;
    getColumns: () => DateTimePickerOption[][];
    /**
     * 计算最小日期
     * @param minDate
     */
    convertMinDate(minDate?: Date): Date;
    /**
     * 计算最大日期
     * @param maxDate
     */
    convertMaxDate(maxDate?: Date): Date;
    private getYearColumn;
    private getMonthColumn;
    private getDayColumn;
    private getHourColumn;
    private getMinute;
    private getSecond;
}
export default DateUtil;
