import { ExtractPropTypes, PropType } from 'vue';
import { FieldFormatterTrigger } from '@xuanmo/dl-common';
export type InputProps = ExtractPropTypes<typeof INPUT_PROPS>;
export declare const INPUT_PROPS: {
    modelValue: {
        type: PropType<string | number | undefined>;
        default: undefined;
    };
    type: {
        type: PropType<"number" | "text" | "password" | "email" | "url">;
        default: string;
    };
    name: {
        type: StringConstructor;
        default: string;
    };
    autofocus: {
        type: BooleanConstructor;
        default: boolean;
    };
    inputAlign: {
        type: PropType<"left" | "center" | "right">;
        default: string;
    };
    maxlength: {
        type: NumberConstructor;
        default: number;
    };
    autocomplete: {
        type: StringConstructor;
        default: string;
    };
    clearable: {
        type: BooleanConstructor;
        default: boolean;
    };
    placeholder: {
        type: StringConstructor;
        default: string;
    };
    formatter: {
        type: PropType<(value: string | number | undefined) => string>;
        default: null;
    };
    formatterTrigger: {
        type: PropType<FieldFormatterTrigger | undefined>;
        default: string;
    };
    border: {
        type: BooleanConstructor;
        default: boolean;
    };
    status: {
        type: PropType<"warning" | "error">;
        default: undefined;
    };
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    rowId: {
        type: StringConstructor;
        default: undefined;
    };
    model: {
        type: PropType<import("@xuanmo/dl-common").IFormModelItem<unknown>>;
        default: undefined;
    };
    readonly: {
        type: BooleanConstructor;
        default: boolean;
    };
};
