import { ExtractPropTypes, PropType } from 'vue';
import { ICascaderOption, IData } from '@xuanmo/dl-common';
export type PickerValue = string[] | number[] | IData[];
/** 选择器每列数据类型 */
export type PickerOption = IData | ICascaderOption;
/** 选择器数据类型 */
export type PickerOptions = PickerOption[] | PickerOption[][];
export type PickerProps = ExtractPropTypes<typeof PICKER_PROPS>;
export declare const PICKER_PROPS: {
    modelValue: {
        type: PropType<PickerValue>;
        default: undefined;
    };
    placeholder: {
        type: StringConstructor;
        default: string;
    };
    /**
     * 显示隐藏
     */
    visible: BooleanConstructor;
    /**
     * 是否受控
     */
    controlled: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * 选择器列
     */
    options: {
        type: PropType<PickerOptions>;
        default: () => never[];
    };
    /**
     * 支持设置一个顶部标题
     */
    title: {
        type: StringConstructor;
        default: string;
    };
    /**
     * 关闭按钮文字
     */
    cancelButtonText: {
        type: StringConstructor;
        default: string;
    };
    /**
     * 确认按钮文字
     */
    confirmButtonText: {
        type: StringConstructor;
        default: string;
    };
    /**
     * 选项单个高度
     */
    optionHeight: {
        type: NumberConstructor;
        default: number;
    };
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    keys: {
        type: PropType<import("@xuanmo/dl-common").CustomKeys>;
        default: undefined;
    };
    readonly: {
        type: BooleanConstructor;
        default: boolean;
    };
};
