import { ExtractPropTypes, FunctionalComponent, PropType } from 'vue';
export type RateProps = ExtractPropTypes<typeof RATE_PROPS>;
export declare const RATE_PROPS: {
    modelValue: {
        type: NumberConstructor;
        default: undefined;
    };
    /**
     * 显示个数
     */
    count: {
        type: NumberConstructor;
        default: number;
    };
    /**
     * 图标大小
     */
    size: {
        type: PropType<string>;
        default: string;
    };
    /**
     * 图标间距
     */
    gap: {
        type: PropType<string | number | undefined>;
        default: number;
    };
    /**
     * 选中的图标
     */
    checkedIcon: {
        type: PropType<FunctionalComponent<{}, {}, any, {}>>;
        default: import("@xuanmo/dl-icons/dist/icons/star-filled").StarFilledProps;
    };
    /**
     * 未选中的图标
     */
    uncheckedIcon: {
        type: PropType<FunctionalComponent<{}, {}, any, {}>>;
        default: import("@xuanmo/dl-icons/dist/icons/star-filled").StarFilledProps;
    };
    /**
     * 选中时图标颜色
     */
    activeColor: {
        type: StringConstructor;
        default: string;
    };
    /**
     * 是否允许反选清空
     */
    allowClear: {
        type: BooleanConstructor;
        default: boolean;
    };
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    readonly: {
        type: BooleanConstructor;
        default: boolean;
    };
};
