import { FormProps, FieldFormatterTrigger } from '@xuanmo/dl-common';
import { ExtractPropTypes, PropType } from 'vue';
export type SearchProps = ExtractPropTypes<typeof SEARCH_PROPS>;
export declare const SEARCH_PROPS: {
    modelValue: {
        type: StringConstructor;
        default: undefined;
    };
    name: {
        type: StringConstructor;
        default: string;
    };
    maxlength: {
        type: NumberConstructor;
        default: number;
    };
    placeholder: {
        type: StringConstructor;
        default: string;
    };
    autofocus: {
        type: BooleanConstructor;
        default: boolean;
    };
    clearable: {
        type: BooleanConstructor;
        default: boolean;
    };
    inputAlign: {
        type: PropType<"left" | "center" | "right">;
        default: string;
    };
    autocomplete: {
        type: StringConstructor;
        default: string;
    };
    round: {
        type: BooleanConstructor;
        default: boolean;
    };
    formatter: {
        type: PropType<(value: string | number | undefined) => string>;
        default: null;
    };
    formatterTrigger: {
        type: PropType<FieldFormatterTrigger | undefined>;
        default: string;
    };
    /**
     * 显示取消按钮
     */
    showCancelButton: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * 高级搜索
     */
    advancedSearch: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * 高级搜索标题
     */
    advancedSearchTitle: {
        type: StringConstructor;
        default: string;
    };
    /**
     * 搜索重置按钮文字
     */
    searchResetText: {
        type: StringConstructor;
        default: string;
    };
    /**
     * 搜索确认按钮文字
     */
    searchConfirmText: {
        type: StringConstructor;
        default: string;
    };
    /**
     * 高级搜索表单 props
     */
    formProps: {
        type: PropType<Partial<FormProps>>;
        default: undefined;
    };
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    readonly: {
        type: BooleanConstructor;
        default: boolean;
    };
};
