import { ToastProps } from './props';
export type ToastInstance = {
    update: (option: ToastOptions) => void;
    open: () => void;
    destroy: () => void;
};
type ToastOptions = Partial<Omit<ToastProps, 'visible'>>;
export declare const useToast: () => {
    text: (content: string, option?: ToastOptions) => ToastInstance;
    success: (content: string, option?: ToastOptions) => ToastInstance;
    error: (content: string, option?: ToastOptions) => ToastInstance;
    loading: (content: string, option?: ToastOptions) => ToastInstance;
    destroyAll(): void;
};
export {};
