import { Component, ExtractPropTypes, PropType } from 'vue';
export type ToastProps = ExtractPropTypes<typeof TOAST_PROPS>;
export declare const TOAST_PROPS: {
    visible: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * 消息内容
     */
    content: StringConstructor;
    /**
     * 自定义消息图标
     */
    icon: {
        type: PropType<Component>;
        default: undefined;
    };
    /**
     * 消息提示类型
     */
    type: {
        type: PropType<"loading" | "text">;
        default: string;
    };
    /**
     * 消息主题
     */
    theme: {
        type: PropType<"loading" | "success" | "error">;
        default: string;
    };
    /**
     * 消息提示时间，单位毫秒
     */
    duration: {
        type: NumberConstructor;
        default: number;
    };
    direction: {
        type: PropType<import("@xuanmo/dl-common").DirectionType>;
        default: undefined;
    };
};
